> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve details of a specific keyword entry.

# Get keyword



## OpenAPI

````yaml get /moderation/keywords/{keywordId}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/keywords/{keywordId}:
    get:
      tags:
        - Moderation
      summary: Get keyword
      description: Retrieve details of a specific keyword list by its ID.
      operationId: get-rule-keyword
      parameters:
        - $ref: 8efc526a-ccfa-4521-8b5f-bdc33f742abc
        - $ref: afccec09-e9c7-416b-af47-1d5bf49594d7
        - $ref: 82e9e60e-ad8d-4a9b-a27f-da6a8bdbe2bb
        - $ref: cb381726-7bf7-43ae-a0e4-fe8d72e0da47
      responses:
        '200':
          description: Get Keyword
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  id: profanity-list
                  name: Profane Words
                  category: word
                  isCSV: false
                  searchTerms:
                    - fuck
                    - nigger
                    - fuck
                    - nigger
                    - wanker
                    - cunt
                    - damn
                    - shit
                    - fag
                    - shithead
                    - jizz
                    - hellbitch
                    - retard
                    - cocksucker
                    - cock
                    - kill
                    - cunt
                    - kike
                    - twat
                    - bastard
                    - death
                    - asshole
                    - wop
                    - scumbag
                    - penis
                    - murder
                    - dick
                    - gook
                    - vagina
                    - rape
                    - bastard
                    - spic
                    - spunk
                    - beat
                  createdAt: 1718354412
                  updatedAt: 1718354412
                  revisionId: 253157108b5294c4_profanity-list_1
                  active: true
                  default: true
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object

````